org.eclipse.wst.jsdt.debug.core.jsdi.event

## Interface EventSet

All Superinterfaces:
  java.util.Collection, java.lang.Iterable, Mirror, java.util.Set

    public interface EventSet
    extends java.util.Set, Mirror

Describes a heterogeneous set of `Event`s.

Since:
  1.0
See Also:
  `Event`, `EventQueue`, `VirtualMachine`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `resume()` Resumes processing of the `EventSet`.
`boolean` `suspended()` Returns `true` if processing of the `EventSet` is currently suspended.

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### suspended

    boolean suspended()

Returns `true` if processing of the `EventSet` is currently suspended.

Returns:
  `true` if the `EventSet` is suspended `false` otherwise

#### resume

    void resume()

Resumes processing of the `EventSet`.